
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import java.io.*;
import javax.swing.JOptionPane;
import java.net.*;
	
public class Number extends JLabel
{
	private int value, playerValue;
	private boolean showing = false;
	public Number(int v)
	{
		super(Integer.toString(v));			
		playerValue = 0;
		value = v;	
		setHorizontalAlignment(SwingConstants.CENTER);
		setBackground(Color.WHITE);
		setBorder(BorderFactory.createLineBorder(Color.BLACK));
		addMouseListener(new MouseAdapter()
		{
			public void mouseClicked(MouseEvent e)
			{
				if (playerValue==9)
					playerValue = 1;
				else
					playerValue++;
				if (!showing)	
					setText(Integer.toString(playerValue));
			}
		});
	}
	public Number(int v, int matte)
	{
		super(Integer.toString(v));			
		playerValue = 0;
		value = v;
		setHorizontalAlignment(SwingConstants.CENTER);
		setBackground(Color.WHITE);
		if(matte == 0)
		{
			//if x is multiple of 3 
			setBorder(BorderFactory.createMatteBorder(1,1,1,5,Color.BLACK));
		}
		else if (matte == 1)
		{
			//if y is multiple of 3
			setBorder(BorderFactory.createMatteBorder(1,1,5,1,Color.BLACK));
		}
		else if (matte == 2)
		{
			//if x and y is multiple of 3
			setBorder(BorderFactory.createMatteBorder(1,1,5,5,Color.BLACK));
		}
		addMouseListener(new MouseAdapter()
		{
			public void mouseClicked(MouseEvent e)
			{
				if (playerValue==9)
					playerValue = 1;
				else
					playerValue++;
				if (!showing)	
					setText(Integer.toString(playerValue));
			}
		});
	}
	public void showValue(boolean show)
	{
		showing = show;
		if (show)
		{
			setText(Integer.toString(value));
		}
		else
		{
			setText("");
		}
	}
	public int getValue()
	{
			return value;
	}
	public boolean check()
	{
	
		return (showing || value == Integer.valueOf(getText()));
	}
}