
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import java.io.*;
import javax.swing.JOptionPane;
import java.net.*;

public class ControlPanel extends JPanel
{
	public JButton solve, newpuzzle, check;
	public SudokuView sudokuView;
	public ControlPanel(SudokuView sView)
	{
		sudokuView = sView;
		solve = new JButton("Solve Puzzle");
		newpuzzle = new JButton ("New Puzzle");
		check = new JButton ("Check Solution");
		solve.addActionListener(new buttonHandler());
		newpuzzle.addActionListener(new buttonHandler());
		check.addActionListener(new buttonHandler());
		add(solve);
		add(newpuzzle);
		add(check);
	}
	public class buttonHandler implements ActionListener
	{
		public void actionPerformed(ActionEvent e)
		{
			if (e.getSource() == solve)
			{
				sudokuView.solve();
			}
			if (e.getSource() == newpuzzle)
			{
				sudokuView.newPuzzle();
			}
			if (e.getSource() == check)
			{
				sudokuView.check();
			}
		}
	}
}