   import java.awt.*;
   import java.awt.event.*;
   import javax.swing.*;
   import java.util.*;
   import java.io.*;
   import javax.swing.JOptionPane;
   import java.net.*;

    public class SudokuGame2
   {	
      public Number[][] numbers = new Number[9][9];
      public ArrayList<Integer>[][] quadrants = new ArrayList[3][3];
      public ArrayList<Integer>[] rows = new ArrayList[9];
      public ArrayList<Integer>[] columns = new ArrayList[9];
      public int overflow = 0;
      public Random rand = new Random();
       public SudokuGame2()
      {
      //while (hasUniqueSolution()!=1)
         makeGame();
      }
   
   
       public void makeGame()
      {
         for (int i = 0; i < 3; i++)
         {
            for (int j = 0; j < 3; j++)
            {
               quadrants[j][i] = new ArrayList();
               for (int q = 1; q < 10; q++)
                  quadrants[j][i].add(q); 
            }
         }
      
         for (int i = 0; i < 9; i++)
         {
            rows[i] = new ArrayList();
            columns[i] = new ArrayList();
            for (int q = 1; q < 10; q++)
            {
               rows[i].add(q);
               columns[i].add(q);
            }
         }
      /*while(hasUniqueSolution()==0)
      {}*/
         for(int q = 0; q<81; q++)
            addRandom();
      
      }
   
       public void doRow(int i)
      {
      }
   
       public void addRandom()
      {
         int x = rand.nextInt(9);
         int y = rand.nextInt(9);
      
         while (numbers[x][y] != null)
         {
            x = rand.nextInt(9);
            y = rand.nextInt(9);
         }
         int num = getNum(x, y);
      
      
         if ((x+1)%3 == 0 && (y+1)%3==0)	
         {
            numbers[x][y] = new Number(num, 2);
         }
         else if ((y+1)%3 == 0)
         {
            numbers[x][y] = new Number(num , 1);
         }
         else if (((x+1)%3)==0)
         {
            numbers[x][y] = new Number(num , 0);
         }	
         else
         {
            numbers[x][y] = new Number(num);
         }
      }
       public int hasUniqueSolution()
      {
      //if more than one solution return 0, if one solution return 1 if no solution return -1
           return 0;
      }
   	
       public int getNum(int x, int y)
      {
         int quadx, quady;
         quadx = x/3;
         quady = y/3;
         ArrayList<Integer> quadrant = quadrants[quadx][quady];
         ArrayList<Integer> column = columns[x];
         ArrayList<Integer> row = rows[y];
         ArrayList<Integer> columnNumbers, rowNumbers, numbers;
         numbers = new ArrayList(quadrant);
         columnNumbers = column;
         rowNumbers = row;
      
         numbers.retainAll(columnNumbers);
         numbers.retainAll(rowNumbers);
      
         if (numbers.size() > 0)
         {	
            Integer numb = numbers.get(rand.nextInt(numbers.size()));
            row.remove(row.indexOf(numb));
            column.remove(column.indexOf(numb));
            quadrant.remove(quadrant.indexOf(numb));
            return numb;
         }
         else
            return 0;
      }
   	
       public Number[][] getNumbers()
      {
         return numbers;		
      }
   }